
/*****************************************************************************
 *                                                                           *
 * This FILE psu120_lib.h                                                    *
 * is part of the PSU120 library.  It is based on code copyright 1996 and    *
 * 1998 by Adimec Advanced Image Systems B.V.  Unix conversion copyright     *
 * 1999 and 2000 by Gregory L. Kreider.  All rights reserved.  See           *
 * psu120_lib.c for distribution terms.                                      *
 *                                                                           *
 * The code in this file contains the header comments used to compile        *
 * psu120_lib.c.  More comments can be found in libraries.doc                *
 *                                                                           *
 *****************************************************************************/


#ifndef _PSU120_LIB
#define _PSU120_LIB 1

#define _PSU120_LIB_VERSION  1.0


typedef unsigned char uchar;


#define MAX_PORTS   8     /* max 8 com ports */
#define PSU_COM1    0     /* comm port #1 */
#define PSU_COM2    1     /* comm port #2 */
#define PSU_COM3    2     /* comm port #3 */
#define PSU_COM4    3     /* comm port #4 */
#define PSU_COM5    4     /* comm port #5 */
#define PSU_COM6    5     /* comm port #6 */
#define PSU_COM7    6     /* comm port #7 */
#define PSU_COM8    7     /* comm port #8 */

#define ERR_PSU_PORT           -1   /* invalid port number used */
#define ERR_PSU_OPEN           -2   /* could not open comm port */
#define ERR_PSU_COMM           -3   /* communication failure with PSU */
#define ERR_PSU_SIZE           -4   /* invalid buffer size used */
#define ERR_PSU_HPSU           -5   /* invalid descriptor for PSU */
#define ERR_PSU_CMND           -6   /* PSU120 command failed */


int PSUOPEN(int);
int PSUATTENTION(int);
int PSUVERSION(int, char*);
int PSUWRITE(int, uchar, uchar, uchar*);
int PSUREAD(int, uchar, uchar, uchar*);
int PSUWRITENV(int, uchar, uchar, uchar*);
int PSUREADENV(int, uchar, uchar, uchar*);
int PSUCLOSE(int);
int PSUSTARTPOLL(int);
int PSUPOLL(int);


#endif  /* _PSU120_LIB */

